{#
/**
 * @file
 * Theme override for a main view template.
 *
 * Available variables:
 * - attributes: Remaining HTML attributes for the element.
 * - css_name: A CSS-safe version of the view name.
 * - css_class: The user-specified classes names, if any.
 * - header: The optional header.
 * - footer: The optional footer.
 * - rows: The results of the view query, if any.
 * - empty: The content to display if there are no rows.
 * - pager: The optional pager next/prev links to display.
 * - exposed: Exposed widget form/info to display.
 * - feed_icons: Optional feed icons to display.
 * - more: An optional link to the next page of results.
 * - title: Title of the view, only used when displaying in the admin preview.
 * - title_prefix: Additional output populated by modules, intended to be
 *   displayed in front of the view title.
 * - title_suffix: Additional output populated by modules, intended to be
 *   displayed after the view title.
 * - attachment_before: An optional attachment view to be displayed before the
 *   view content.
 * - attachment_after: An optional attachment view to be displayed after the
 *   view content.
 * - dom_id: Unique id for every view being printed to give unique class for
 *   JavaScript.
 *
 * @see template_preprocess_views_view()
 */
#}
{%
  set classes = [
    'view',
    'view-' ~ id|clean_class,
    'view-id-' ~ id,
    'view-display-id-' ~ display_id,
    dom_id ? 'js-view-dom-id-' ~ dom_id,
  ]
%}

<div{{ attributes.addClass(classes) }}>
  {{ title_prefix }}
  {% if title %}
    {{ title }}
  {% endif %}
  {{ title_suffix }}

  <div class="view-nav">
    <div class="view-nav-bar">
      <div class="h-wrapper">
        {% if attachment_before %}
          <button class="nav-button button-days"
                id="button-days"
                aria-expanded="false"
                aria-controls="nav-days">
            <span class="button-label">{{ "Days"|t }}</span>
            <span class="button-icon" aria-hidden="true">▾</span>
          </button>
        {% endif %}
        {% if exposed %}
          <button class="nav-button button-filters"
                id="button-filters"
                aria-expanded="false"
                aria-controls="nav-filters">
            <span class="button-label">{{ "Filters"|t }} <span class="filters-num"></span></span>
            <span class="button-icon" aria-hidden="true">▾</span>
          </button>
        {% endif %}
      </div>
    </div>

    {% if attachment_before %}
      <div class="nav-content nav-days"
          id="nav-days"
          aria-labelledby="button-days">
        <div class="h-wrapper">
          {{ attachment_before }}
        </div>
      </div>
    {% endif %}

    {% if exposed %}
      <div class="nav-content nav-filters"
          id="nav-filters"
          aria-labelledby="button-filters"
          hidden>
        <div class="h-wrapper">
          {{ exposed }}
        </div>
      </div>
    {% endif %}
  </div>

  {% if header %}
    <div class="view-header">
      {{ header }}
    </div>
  {% endif %}

  {% if rows %}
    <div class="view-content">
      {{ rows }}
    </div>
  {% elseif empty %}
    <div class="view-empty">
      {{ empty }}
    </div>
  {% endif %}

  {% if pager %}
    {{ pager }}
  {% endif %}
  {% if attachment_after %}
    <div class="attachment attachment-after">
      {{ attachment_after }}
    </div>
  {% endif %}
  {% if more %}
    {{ more }}
  {% endif %}
  {% if footer %}
    <div class="view-footer">
      {{ footer }}
    </div>
  {% endif %}
  {% if feed_icons %}
    <div class="feed-icons">
      {{ feed_icons }}
    </div>
  {% endif %}
</div>
